import React,{useState, useEffect} from 'react';
import './App.css';
import axios from 'axios';


function App() {
  const [users,setUsers] = useState([]);
  const [loading, setLoading] = useState(false);

  // fetch data from server
  useEffect(() => {
    setLoading(true);
      axios.get(`https://jsonplaceholder.typicode.com/users`).then((res)=>{
        setUsers(res.data);
        setLoading(false);
      }).catch(err=>{
        console.log(`something went wrong : ${err}`);
      })
  }, [])
  return (
    <div className="App">
      {loading?(
        <div>Loading...</div>
      ) : (users.map((user)=>(
        <div class="row">
          <div class="col-md-4 offset-md-4">
            <table class="table table-dark"> 
              <tr key={user.id}>
                <td>{user.name}</td>
                <td>{user.email}</td>
              </tr>
            </table>
          </div>
        </div>
       
      )))}
    </div>
  );
}

export default App;
